/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-08-26 17:13:51 UTC)
 * on 2013-09-04 at 19:15:10 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.adsensehost.model;

/**
 * Model definition for CustomChannel.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the AdSense Host API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-http-java-client/wiki/JSON">http://code.google.com/p/google-http-java-client/wiki/JSON</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class CustomChannel extends com.google.api.client.json.GenericJson {

  /**
   * Code of this custom channel, not necessarily unique across ad clients.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String code;

  /**
   * Unique identifier of this custom channel. This should be considered an opaque identifier; it is
   * not safe to rely on it being in any particular format.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String id;

  /**
   * Kind of resource this is, in this case adsensehost#customChannel.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String kind;

  /**
   * Name of this custom channel.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String name;

  /**
   * Code of this custom channel, not necessarily unique across ad clients.
   * @return value or {@code null} for none
   */
  public java.lang.String getCode() {
    return code;
  }

  /**
   * Code of this custom channel, not necessarily unique across ad clients.
   * @param code code or {@code null} for none
   */
  public CustomChannel setCode(java.lang.String code) {
    this.code = code;
    return this;
  }

  /**
   * Unique identifier of this custom channel. This should be considered an opaque identifier; it is
   * not safe to rely on it being in any particular format.
   * @return value or {@code null} for none
   */
  public java.lang.String getId() {
    return id;
  }

  /**
   * Unique identifier of this custom channel. This should be considered an opaque identifier; it is
   * not safe to rely on it being in any particular format.
   * @param id id or {@code null} for none
   */
  public CustomChannel setId(java.lang.String id) {
    this.id = id;
    return this;
  }

  /**
   * Kind of resource this is, in this case adsensehost#customChannel.
   * @return value or {@code null} for none
   */
  public java.lang.String getKind() {
    return kind;
  }

  /**
   * Kind of resource this is, in this case adsensehost#customChannel.
   * @param kind kind or {@code null} for none
   */
  public CustomChannel setKind(java.lang.String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Name of this custom channel.
   * @return value or {@code null} for none
   */
  public java.lang.String getName() {
    return name;
  }

  /**
   * Name of this custom channel.
   * @param name name or {@code null} for none
   */
  public CustomChannel setName(java.lang.String name) {
    this.name = name;
    return this;
  }

  @Override
  public CustomChannel set(String fieldName, Object value) {
    return (CustomChannel) super.set(fieldName, value);
  }

  @Override
  public CustomChannel clone() {
    return (CustomChannel) super.clone();
  }

}
